curl --request POST \
--url https://api.tikway.ai/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.6-sol",
"input": [
{
"role": "user",
"content": [
{
"type": "input_text",
"text": "Write a short bedtime story about a unicorn."
}
]
}
]
}
'"{\n \"background\": false,\n \"completed_at\": 1788668639,\n \"created_at\": 1788668638,\n \"error\": null,\n \"frequency_penalty\": 0,\n \"id\": \"resp_074472f9988a119f006a9ceade27888194add2283781e99db5::Q_Olg6GjTjN-VysDZS83LBWBO3NVTBTLcLGOvp0PrBP_XWO97d8Yq9ztZQZONcJzIV1Cug\",\n \"incomplete_details\": null,\n \"instructions\": null,\n \"max_output_tokens\": null,\n \"max_tool_calls\": null,\n \"metadata\": {},\n \"model\": \"gpt-5.6-sol\",\n \"object\": \"response\",\n \"output\": [\n {\n \"content\": [\n {\n \"annotations\": [],\n \"logprobs\": [],\n \"text\": \"Hello! How can I help?\",\n \"type\": \"output_text\"\n }\n ],\n \"id\": \"msg_074472f9988a119f006a9ceadecd488194a8a5c2f9f4c1d83e\",\n \"phase\": \"final_answer\",\n \"role\": \"assistant\",\n \"status\": \"completed\",\n \"type\": \"message\"\n }\n ],\n \"parallel_tool_calls\": true,\n \"presence_penalty\": 0,\n \"previous_response_id\": null,\n \"prompt_cache_key\": null,\n \"prompt_cache_retention\": \"24h\",\n \"reasoning\": {\n \"context\": \"all_turns\",\n \"effort\": \"medium\",\n \"mode\": \"standard\",\n \"summary\": null\n },\n \"safety_identifier\": null,\n \"service_tier\": \"default\",\n \"status\": \"completed\",\n \"store\": true,\n \"temperature\": 1,\n \"text\": {\n \"format\": {\n \"type\": \"text\"\n },\n \"verbosity\": \"medium\"\n },\n \"tool_choice\": \"auto\",\n \"tools\": [],\n \"top_logprobs\": 0,\n \"top_p\": 0.98,\n \"truncation\": \"disabled\",\n \"usage\": {\n \"input_tokens\": 7,\n \"input_tokens_details\": {\n \"cache_write_tokens\": 0,\n \"cached_read_tokens\": 0,\n \"cached_tokens\": 0,\n \"cached_write_tokens\": 0\n },\n \"output_tokens\": 11,\n \"output_tokens_details\": {\n \"reasoning_tokens\": 0\n },\n \"total_tokens\": 18\n }\n}"Responses
curl --request POST \
--url https://api.tikway.ai/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-5.6-sol",
"input": [
{
"role": "user",
"content": [
{
"type": "input_text",
"text": "Write a short bedtime story about a unicorn."
}
]
}
]
}
'"{\n \"background\": false,\n \"completed_at\": 1788668639,\n \"created_at\": 1788668638,\n \"error\": null,\n \"frequency_penalty\": 0,\n \"id\": \"resp_074472f9988a119f006a9ceade27888194add2283781e99db5::Q_Olg6GjTjN-VysDZS83LBWBO3NVTBTLcLGOvp0PrBP_XWO97d8Yq9ztZQZONcJzIV1Cug\",\n \"incomplete_details\": null,\n \"instructions\": null,\n \"max_output_tokens\": null,\n \"max_tool_calls\": null,\n \"metadata\": {},\n \"model\": \"gpt-5.6-sol\",\n \"object\": \"response\",\n \"output\": [\n {\n \"content\": [\n {\n \"annotations\": [],\n \"logprobs\": [],\n \"text\": \"Hello! How can I help?\",\n \"type\": \"output_text\"\n }\n ],\n \"id\": \"msg_074472f9988a119f006a9ceadecd488194a8a5c2f9f4c1d83e\",\n \"phase\": \"final_answer\",\n \"role\": \"assistant\",\n \"status\": \"completed\",\n \"type\": \"message\"\n }\n ],\n \"parallel_tool_calls\": true,\n \"presence_penalty\": 0,\n \"previous_response_id\": null,\n \"prompt_cache_key\": null,\n \"prompt_cache_retention\": \"24h\",\n \"reasoning\": {\n \"context\": \"all_turns\",\n \"effort\": \"medium\",\n \"mode\": \"standard\",\n \"summary\": null\n },\n \"safety_identifier\": null,\n \"service_tier\": \"default\",\n \"status\": \"completed\",\n \"store\": true,\n \"temperature\": 1,\n \"text\": {\n \"format\": {\n \"type\": \"text\"\n },\n \"verbosity\": \"medium\"\n },\n \"tool_choice\": \"auto\",\n \"tools\": [],\n \"top_logprobs\": 0,\n \"top_p\": 0.98,\n \"truncation\": \"disabled\",\n \"usage\": {\n \"input_tokens\": 7,\n \"input_tokens_details\": {\n \"cache_write_tokens\": 0,\n \"cached_read_tokens\": 0,\n \"cached_tokens\": 0,\n \"cached_write_tokens\": 0\n },\n \"output_tokens\": 11,\n \"output_tokens_details\": {\n \"reasoning_tokens\": 0\n },\n \"total_tokens\": 18\n }\n}"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The model ID used to generate the response, such as gpt-5.6-sol.
Text, image, audio, or file input provided to the model. It can be a string directly or an array of input messages.
System or developer directive that inserts into the model context. When using previous_response_id, instructions from the previous response are not automatically inherited.
The unique ID of the previous Response, used for multi-turn conversations; cannot be used at the same time as conversation.
The session to which this response belongs. Session items are automatically added to this context, and input and output items are also written to the session.
Whether to run model responses in the background.
Specifies additional data that needs to be included in the response.
web_search_call.action.sources, code_interpreter_call.outputs, computer_call_output.output.image_url, file_search_call.results, message.input_image.image_url, message.output_text.logprobs, reasoning.encrypted_content The maximum number of tokens allowed in the generated response, including visible output and inference tokens.
x >= 1The maximum number of total built-in tool calls that can be processed in a response.
x >= 0Configuration to perform auditing on request input and build output.
Hide child attributes
Hide child attributes
Audit model ID, such as omni-moderation-latest.
Input and output audit policies.
Whether to allow models to call tools in parallel.
Stable key used to improve cache hit rate for similar requests; replaces user field.
Prompt word caching options.
Hide child attributes
Hide child attributes
Cache breakpoint mode. explicit turns off implicit breakpoints.
implicit, explicit The minimum cache validity period.
30m Comparison response ID used to diagnose cache reuse.
Only warms up the prompt word cache and does not generate output.
Deprecated, use prompt_cache_options.ttl.
in_memory, 24h Inference model configuration.
Hide child attributes
Hide child attributes
Reasoning strength.
none, minimal, low, medium, high, xhigh, max Reasoning summary level.
auto, concise, detailed Inference summary generation settings.
auto, concise, detailed Inference context settings.
auto, current_turn, all_turns Speculative execution mode, common values are standard or pro.
A stable end-user identifier to assist in detecting abuse; it is recommended to use a hash of the username or email address.
64The requested service level.
auto, default, flex, scale, priority, fast, ultrafast Whether to store the generated Response for subsequent retrieval through the API.
Whether to return events as SSE streaming.
Sampling temperature; usually adjusted with top_p alternatively.
0 <= x <= 2Kernel sampling threshold; usually adjusted alternatively with temperature.
0 <= x <= 1Text or structured JSON output configuration.
Tools that the model can call when generating responses, including function, web_search, file_search, code_interpreter, computer, MCP, etc.
Hide child attributes
Hide child attributes
Tool type.
Function or tool name.
Description of tool usage.
JSON Schema of function input parameters.
Whether the function parameters strictly follow the Schema.
JSON Schema of function output.
The vector used by file_search stores a list of IDs.
Filter conditions for file_search.
code_interpreter container configuration.
MCP server label.
MCP server URL.
Controls how the model selects tools.
none, auto, required The maximum number of high-probability tokens returned for each output position.
0 <= x <= 20Deprecated. The truncation strategy for input when it exceeds the context window.
auto, disabled Deprecated, use safety_identifier and prompt_cache_key.
Response
The unique ID of the Response.
Object type, fixed to response.
response Unix timestamp of the creation time of the Response, in seconds.
The actual model ID used.
A list of outputs generated by the model, the order and number of which depends on the model response.
Hide child attributes
Hide child attributes
Output item ID.
Output item type.
message, function_call, custom_tool_call, reasoning, web_search_call, file_search_call, code_interpreter_call, computer_call, image_generation_call Output item status.
message The role of the output item.
assistant message The content block of the output item.
Hide child attributes
Hide child attributes
Content block type.
output_text, refusal, summary_text The text of output_text or summary_text.
Model rejects explanation.
Text annotations, such as file references or URL references.
Hide child attributes
Hide child attributes
Annotation type.
The ID of the referenced file.
The name of the referenced file.
The referenced URL.
Quote title.
Reference starting character position.
The end character position of the quote.
Function or tool call ID.
The called function or custom tool name.
Function call parameters in JSON string form.
Custom tool call input.
Encrypted inference content; required via include request.
Reasoning summary content.
Unix timestamp of response completion time; only appears if status is completed.
Response build status.
completed, failed, in_progress, cancelled, queued, incomplete SDK convenience field: The concatenation of all text content in the output.
The system or developer directive that applies to this response.
The ID of the previous Response.
Word usage statistics.
Hide child attributes
Hide child attributes
Enter the number of tokens.
Output the number of tokens.
The total number of tokens.
Whether to allow parallel tool calls.
The sampling temperature used by this response.
The kernel sampling threshold used by this response.
The maximum number of output tokens requested.
The maximum number of tool calls requested to be set.
The actual service level used.
Whether to run in the background.
Whether to store the response.
The security identifier requested to be used.

